#include <Wire.h>

#define CNT1_REG 0xEE
#define ASM_REG 0xF5
#define CNT1_MAX 3124

int SamplePin = 4;
int SampleReadyPin = 5;
byte SlaveAddr = 0;
short counter_contents;
byte range;

//SDA = pin 2
//SCL = pin 3

void setup() {
  Wire.begin();
  Serial.begin(9600);
  pinMode(SamplePin, OUTPUT);
  digitalWrite(SamplePin,HIGH);
}

void loop() {
  /* Request capacitance sample */
  digitalWrite(SamplePin,LOW);
  while(digitalRead(SampleReadyPin) == 0) {}

    /* Read Counter contents */
  Wire.beginTransmission(SlaveAddr);
  Wire.write(CNT1_REG);
  Wire.endTransmission();
  Wire.requestFrom(SlaveAddr,2);
  if (Wire.available() >= 2)
  {
    byte byte1 = Wire.read();
    byte byte2 = Wire.read();
    counter_contents = CNT1_MAX - (byte2<<8 | byte1);
    Serial.print(counter_contents,DEC);
    Serial.print(',');
  }
  
  /* Read ASM state outputs */
  Wire.beginTransmission(SlaveAddr);
  Wire.write(ASM_REG);
  Wire.endTransmission();
  Wire.requestFrom(SlaveAddr,1);
  if (Wire.available() >= 1)
  {
    byte num = Wire.read() & 0x1F;
    if (num == 1)
      range = 0;
    else if (num == 2)
      range = 1;
    else if (num == 4)
      range = 2;
    else if (num == 8)
      range = 3;
    else if (num == 16)
      range = 4;
    Serial.println(range,DEC);
  }
  digitalWrite(SamplePin,HIGH);
  delay(500);
}
